Subject: Re: bug#25683: semi-working patch

From: Dmitry Gutov <[email-masked]>
Date: Mon, 1 May 2017 17:33:30 +0300

Hey Tom,

On 15.02.2017 6:17, Tom Tromey wrote:

> Dmitry> Anyway, thanks for the fix! --porcelain can wait some more.
> 
> It's on my wish-list, but after a bunch of other things.
> I think I look at the per-file state very rarely if at all;
> whereas vc-dir is one of my main views when working on a project.

'git status --porcelain' for vc-git-state is now in. Did you have any 
new ideas about getting the file permissions?

I have recently noticed that your patch makes vc-dir-status-files slower.

E.g., in Emacs's own repository checkout, a refresh took a fraction of a 
second before 3fb9f5452fbd0458f90115b0a95151b8e7a482a1, and about 3 
seconds now.